Bug 59041 - User Manager (redhat-config-users) application won't load
User Manager (redhat-config-users) application won't load
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-users (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Brent Fox
Depends On:
  Show dependency treegraph
Reported: 2002-01-29 16:37 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-01-30 22:38:35 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-29 16:37:46 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.7-10 i686)

Description of problem:
The application redhat-config-users (the User manager) won't load if
/usr/bin/python is updated by installing a more recent python distribution.
Tested with python2.1.2 final distribution. Some other graphically managed
ressources may be also affected.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install python2.1.2 final (not the .rpm disribution: the .tar.gz)
2. run User Manager (will not load)
3. "dowgrade" cp /usr/bin/python1.5 /usr/bin/python
   to solve the problem.
4. goto 1. to reproduce the problem.

Expected Results:  The application to work in both python environment.

Additional info:
Comment 1 Brent Fox 2002-01-30 22:32:39 EST
Yes, upgrading Python will break things.  Actually, it will probably break all
the  pygtk-based apps on your system.  The problem is that there aren't (as far
as I know) gtk1.2 modules for python2.2.  I'm working on getting all the config
tools I've worked on ported to GTK2 (which is still in development too).  I will
push a new redhat-config-users to Rawhide as soon as I get the porting done. 
Until then, I would suggest staying with Python1.5.  

When redhat-config-users is ported to GTK2, though, you'll have to upgrade a
whole boatload of RPMs that are needed by gtk2 (pango, atk, pygtk2, gtk+, etc.,
Comment 2 Brent Fox 2002-01-30 22:38:30 EST
This bug is related in part to bug #59008.
Comment 3 Brent Fox 2002-02-15 12:19:12 EST
I'm going to close this bug because there's nothing I can do to make
redhat-config-users work with both Python1.5 and Python2.2.  The PyGtk1.5 and
PyGtk2 modules are currently mutually exclusive and there's nothing I can do to
make them work together.  I am about 35% done with the port of
redhat-config-users to GTK2.

The answer for now is to stick with Python1.5 and redhat-config-users-0.9.2-6. 
When the next version is ready, you can make the jump to Python2.2, Gtk2,
PyGtk2, and a new redhat-config-users that uses these new tools.  You can wait
for the next release of Red Hat Linux or you can try grabbing the new packages
out of Rawhide.  I wouldn't try it, though, until I finish with the port to
Gtk2.  That should take a week or so more.

Thanks for your report.

Note You need to log in before you can comment on or make changes to this bug.